OGRE: Math - OGRE Documentation

Classes | Typedefs | Enumerations | Functions

# Math
[Core]

Collaboration diagram for Math:

## Classes
class | Ogre::AxisAlignedBox
| A 3D box aligned with the x/y/z axes. More...
class | Ogre::Bitwise
| Class for manipulating bit patterns. More...
class | Ogre::ConvexBody
| Holds a solid representation of a convex body. More...
class | Ogre::EdgeData
| This class contains the information required to describe the edge connectivity of a given set of vertices and indexes. More...
class | Ogre::EdgeListBuilder
| General utility class for building edge lists for geometry. More...
class | Ogre::Frustum
| A frustum represents a pyramid, capped at the near and far end which is used to represent either a visible area or a projection area. More...
class | Ogre::Radian
| Wrapper class which indicates a given angle value is in Radians. More...
class | Ogre::Degree
| Wrapper class which indicates a given angle value is in Degrees. More...
class | Ogre::Angle
| Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...
class | Ogre::Math
| Class to provide access to common mathematical functions. More...
class | Ogre::Matrix3
| A 3x3 matrix which can represent rotations around axes. More...
class | Ogre::Matrix4
| Class encapsulating a standard 4x4 homogeneous matrix. More...
class | Ogre::NumericSolver
| Provides numeric solvers for Ogre. More...
class | Ogre::OptimisedUtil
| Utility class for provides optimised functions. More...
class | Ogre::Plane
| Defines a plane in 3D space. More...
class | Ogre::PlaneBoundedVolume
| Represents a convex volume bounded by planes. More...
class | Ogre::Polygon
| The class represents a polygon in 3D space. More...
class | Ogre::Quaternion
| Implementation of a Quaternion, i.e. More...
class | Ogre::Ray
| Representation of a ray in space, i.e. More...
class | Ogre::RotationalSpline
| This class interpolates orientations (rotations) along a spline using derivatives of quaternions. More...
class | Ogre::SimpleSpline
| A very simple spline class which implements the Catmull-Rom class of splines. More...
class | Ogre::Sphere
| A sphere primitive, mostly used for bounds checking. More...
class | Ogre::TangentSpaceCalc
| Class for calculating a tangent space basis. More...
class | Ogre::Vector2
| Standard 2-dimensional vector. More...
class | Ogre::Vector3
| Standard 3-dimensional vector. More...
class | Ogre::Vector4
| 4-dimensional homogeneous vector. More...
## Typedefs
typedef double | Ogre::PreciseReal
| Real type for numeric solvers.
typedef vector< Plane >::type | Ogre::PlaneList
typedef vector < PlaneBoundedVolume >::type | Ogre::PlaneBoundedVolumeList
## Enumerations
enum | Ogre::OrientationMode { Ogre::OR_DEGREE_0 = 0, Ogre::OR_DEGREE_90 = 1, Ogre::OR_DEGREE_180 = 2, Ogre::OR_DEGREE_270 = 3, Ogre::OR_PORTRAIT = OR_DEGREE_0, Ogre::OR_LANDSCAPERIGHT = OR_DEGREE_90, Ogre::OR_LANDSCAPELEFT = OR_DEGREE_270 }
| Specifies orientation mode. More...
enum | Ogre::ProjectionType { Ogre::PT_ORTHOGRAPHIC, Ogre::PT_PERSPECTIVE }
| Specifies perspective (realistic) or orthographic (architectural) projection. More...
enum | Ogre::FrustumPlane { Ogre::FRUSTUM_PLANE_NEAR = 0, Ogre::FRUSTUM_PLANE_FAR = 1, Ogre::FRUSTUM_PLANE_LEFT = 2, Ogre::FRUSTUM_PLANE_RIGHT = 3, Ogre::FRUSTUM_PLANE_TOP = 4, Ogre::FRUSTUM_PLANE_BOTTOM = 5 }
| Worldspace clipping planes. More...
## Functions
Radian | Ogre::operator* (Real a, const Radian &b)
Radian | Ogre::operator/ (Real a, const Radian &b)
Degree | Ogre::operator* (Real a, const Degree &b)
Degree | Ogre::operator/ (Real a, const Degree &b)
Vector4 | Ogre::operator* (const Vector4 &v, const Matrix4 &mat)
template<class T >
static FORCEINLINE T * | Ogre::rawOffsetPointer (T *ptr, ptrdiff_t offset)
| Returns raw offseted of the given pointer.
template<class T >
static FORCEINLINE void | Ogre::advanceRawPointer (T *&ptr, ptrdiff_t offset)
| Advance the pointer with raw offset.
| Ogre::Radian::Radian (const Degree &d)
Radian & | Ogre::Radian::operator= (const Degree &d)
Radian | Ogre::Radian::operator+ (const Degree &d) const
Radian & | Ogre::Radian::operator+= (const Degree &d)
Radian | Ogre::Radian::operator- (const Degree &d) const
Radian & | Ogre::Radian::operator-= (const Degree &d)
Real | Ogre::Radian::valueDegrees () const
Real | Ogre::Radian::valueAngleUnits () const
Real | Ogre::Degree::valueRadians () const
Real | Ogre::Degree::valueAngleUnits () const
| Ogre::Angle::operator Radian () const
| Ogre::Angle::operator Degree () const

## Typedef Documentation

typedef vector<PlaneBoundedVolume>::type Ogre::PlaneBoundedVolumeList

Definition at line 127 of file OgrePlaneBoundedVolume.h.

typedef vector<Plane>::type Ogre::PlaneList

Definition at line 160 of file OgrePlane.h.

typedef double Ogre::PreciseReal

Real type for numeric solvers.

Definition at line 44 of file OgreNumerics.h.

## Enumeration Type Documentation

enum Ogre::FrustumPlane

Worldspace clipping planes.

Enumerator:

  FRUSTUM_PLANE_NEAR |
  FRUSTUM_PLANE_FAR |
  FRUSTUM_PLANE_LEFT |
  FRUSTUM_PLANE_RIGHT |
  FRUSTUM_PLANE_TOP |
  FRUSTUM_PLANE_BOTTOM |

Definition at line 70 of file OgreFrustum.h.

enum Ogre::OrientationMode

Specifies orientation mode.

Enumerator:

  OR_DEGREE_0 |
  OR_DEGREE_90 |
  OR_DEGREE_180 |
  OR_DEGREE_270 |
  OR_PORTRAIT |
  OR_LANDSCAPERIGHT |
  OR_LANDSCAPELEFT |

Definition at line 48 of file OgreFrustum.h.

enum Ogre::ProjectionType

Specifies perspective (realistic) or orthographic (architectural) projection.

Enumerator:

  PT_ORTHOGRAPHIC |
  PT_PERSPECTIVE |

Definition at line 62 of file OgreFrustum.h.

## Function Documentation

template<class T >

static FORCEINLINE void Ogre::advanceRawPointer | ( | T *& | ptr,
|  | ptrdiff_t | offset |
| ) |  |  | `[static]`

Advance the pointer with raw offset.

Note:
  The offset are in bytes, no matter what type of the pointer.

Definition at line 219 of file OgreOptimisedUtil.h.

References Ogre::rawOffsetPointer().

Ogre::Angle::operator Degree | ( |  | ) | const`[inherited]`

Definition at line 628 of file OgreMath.h.

References Ogre::Math::AngleUnitsToDegrees(), and Ogre::Angle::mAngle.

Ogre::Angle::operator Radian | ( |  | ) | const`[inherited]`

Definition at line 623 of file OgreMath.h.

References Ogre::Math::AngleUnitsToRadians(), and Ogre::Angle::mAngle.

Vector4 Ogre::operator* | ( | const Vector4 & | v,
|  | const Matrix4 & | mat |
| ) |  |  |

Definition at line 646 of file OgreMatrix4.h.

References Ogre::Vector4::w, Ogre::Vector4::x, Ogre::Vector4::y, and Ogre::Vector4::z.

Radian Ogre::operator* | ( | Real | a,
|  | const Radian & | b |
| ) |  |  |

Definition at line 633 of file OgreMath.h.

References Ogre::Radian::valueRadians().

Degree Ogre::operator* | ( | Real | a,
|  | const Degree & | b |
| ) |  |  |

Definition at line 643 of file OgreMath.h.

References Ogre::Degree::valueDegrees().

Radian Ogre::Radian::operator+ | ( | const Degree & | d | ) | const`[inherited]`

Definition at line 165 of file OgreMath.h.

References Ogre::Radian::mRad, Ogre::Radian::Radian(), and Ogre::Degree::valueRadians().

Radian & Ogre::Radian::operator+= | ( | const Degree & | d | ) | `[inherited]`

Definition at line 168 of file OgreMath.h.

References Ogre::Radian::mRad, and Ogre::Degree::valueRadians().

Radian Ogre::Radian::operator- | ( | const Degree & | d | ) | const`[inherited]`

Definition at line 172 of file OgreMath.h.

References Ogre::Radian::mRad, Ogre::Radian::Radian(), and Ogre::Degree::valueRadians().

Radian & Ogre::Radian::operator-= | ( | const Degree & | d | ) | `[inherited]`

Definition at line 175 of file OgreMath.h.

References Ogre::Radian::mRad, and Ogre::Degree::valueRadians().

Degree Ogre::operator/ | ( | Real | a,
|  | const Degree & | b |
| ) |  |  |

Definition at line 648 of file OgreMath.h.

References Ogre::Degree::valueDegrees().

Radian Ogre::operator/ | ( | Real | a,
|  | const Radian & | b |
| ) |  |  |

Definition at line 638 of file OgreMath.h.

References Ogre::Radian::valueRadians().

Radian & Ogre::Radian::operator= | ( | const Degree & | d | ) | `[inherited]`

Definition at line 162 of file OgreMath.h.

References Ogre::Radian::mRad, and Ogre::Degree::valueRadians().

Ogre::Radian::Radian | ( | const Degree & | d | ) | `[inherited]`

Definition at line 160 of file OgreMath.h.

template<class T >

static FORCEINLINE T* Ogre::rawOffsetPointer | ( | T * | ptr,
|  | ptrdiff_t | offset |
| ) |  |  | `[static]`

Returns raw offseted of the given pointer.

Note:
  The offset are in bytes, no matter what type of the pointer.

Definition at line 209 of file OgreOptimisedUtil.h.

Referenced by Ogre::advanceRawPointer().

Real Ogre::Radian::valueAngleUnits | ( |  | ) | const`[inherited]`

Definition at line 608 of file OgreMath.h.

References Ogre::Radian::mRad, and Ogre::Math::RadiansToAngleUnits().

Referenced by Ogre::StringConverter::toString().

Real Ogre::Degree::valueAngleUnits | ( |  | ) | const`[inherited]`

Definition at line 618 of file OgreMath.h.

References Ogre::Math::DegreesToAngleUnits(), and Ogre::Degree::mDeg.

Referenced by Ogre::StringConverter::toString().

Real Ogre::Radian::valueDegrees | ( |  | ) | const`[inherited]`

Definition at line 603 of file OgreMath.h.

References Ogre::Radian::mRad, and Ogre::Math::RadiansToDegrees().

Referenced by Ogre::Degree::operator+(), Ogre::Degree::operator+=(), Ogre::Degree::operator-(), Ogre::Degree::operator-=(), and Ogre::Degree::operator=().

Real Ogre::Degree::valueRadians | ( |  | ) | const`[inherited]`

Definition at line 613 of file OgreMath.h.

References Ogre::Math::DegreesToRadians(), and Ogre::Degree::mDeg.

Referenced by Ogre::Radian::operator+(), Ogre::Radian::operator+=(), Ogre::Radian::operator-(), Ogre::Radian::operator-=(), Ogre::Radian::operator=(), and Ogre::AnimableValue::setAsBaseValue().

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53